Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.event
Class EventDispatcher

    java.lang.Object
      |
      +--quicktime.app.event.EventDispatcher

Direct Known Subclasses:
  AWTMouseEventDispatcher

public abstract class EventDispatcher
extends java.lang.Object

The EventDispatch is an abstract class that will create a subclass that will dispatch events to the controller. When creating an event dispatcher the make method will supply the ListenerController, the space that that controller has been added to and the object that the space itself has been added to. For instance adding a QTMouseController to a Compositor which is then set as the client of a QTCanvas. In the make method any custom makers will be queried to see if they can dispatch the kind of events the controller wants, for the space it is attached to and the kind of object that the space itself has been added to. If any of these objects are not appropriate objects for a given dispather the make method can return null and some other event dispatcher can be found.

Any custom makers that are registered will be queried first before the default system dispatchers are queried.

Constructor Summary
`protected` | `EventDispatcher()`

Method Summary
`protected abstract void` | `addedTo()` When the ListenerController is addedTo its source of interest this method is called.
`static void` | `registerMaker(EventDispatcherMaker m)` Register a custom event handler maker that will make an EventDispatcher based on the type of controller, event interest and Space.
`protected abstract void` | `removedFrom()` When the ListenerController is removedFrom its source of interest this method is called.
`static void` | `removeMaker(EventDispatcherMaker m)` Remove a custom event handler maker.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDispatcher

    protected EventDispatcher()

Method Detail

### registerMaker

    public static void registerMaker(EventDispatcherMaker m)

  Register a custom event handler maker that will make an EventDispatcher based on the type of controller, event interest and Space.
  Parameters:
    `e` - the maker

### removeMaker

    public static void removeMaker(EventDispatcherMaker m)

  Remove a custom event handler maker.
  Parameters:
    `e` - the maker to remove

### addedTo

    protected abstract void addedTo()

  When the ListenerController is addedTo its source of interest this method is called.

### removedFrom

    protected abstract void removedFrom()

  When the ListenerController is removedFrom its source of interest this method is called.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD